Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.util
Class DomNodeList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<Node>
              org.odftoolkit.odfdom.dom.util.DomNodeList

All Implemented Interfaces:
  Iterable<Node>, Collection<Node>, List<Node>

    public class DomNodeList

extends AbstractList<Node>

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DomNodeList(NodeList list)` Creates a new instance of NodeList

Method Summary
`Node` | `get(int index)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### DomNodeList

    public DomNodeList(NodeList list)

  Creates a new instance of NodeList

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Node>`
  Specified by:
    `size` in interface `List<Node>`
  Specified by:
    `size` in class `AbstractCollection<Node>`

### get

    public Node get(int index)

  Specified by:
    `get` in interface `List<Node>`
  Specified by:
    `get` in class `AbstractList<Node>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.